> For the complete documentation index, see [llms.txt](https://docs.alignlabs.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alignlabs.dev/align-api/customers/fetch-customers.md).

# Fetch Customers

## GET /v0/customers

> Fetch customers

```json
{"openapi":"3.0.0","info":{"title":"Customers API","version":"0"},"servers":[{"url":"https://api.alignlabs.dev","description":"Production server"},{"url":"https://api-sandbox.alignlabs.dev","description":"Sandbox server"}],"paths":{"/v0/customers":{"get":{"summary":"Fetch customers","parameters":[{"name":"Api-Key","in":"header","description":"Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.","required":true,"schema":{"type":"string"}},{"name":"email","in":"query","description":"Filter customers by email","required":false,"schema":{"type":"string","format":"email"}}],"responses":{"200":{"description":"Successful retrieval of customers data","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"customer_id":{"type":"string","format":"uuid"},"email":{"type":"string","format":"email"},"company_name":{"type":"string","nullable":true},"first_name":{"type":"string","nullable":true},"last_name":{"type":"string","nullable":true},"type":{"type":"string","enum":["individual","corporate"]}}}}}}}}}}}}}}
```
